summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andrew Clemons2021-08-25 13:23:02 +0200
committer Willy Sudiarto Raharjo2021-08-30 01:55:56 +0200
commit577cae238d68d242ebb78acc2153138cb6ace6dc (patch)
tree87886378814b3e4d271df8c852b9dee48fadc292
parenta2bc0df11e95d02854753d25e8e3a38354846ec9 (diff)
downloadslackbuilds-577cae238d68d242ebb78acc2153138cb6ace6dc.tar.gz
perl/perl-Mojolicious-Plugin-Humane: Don't install in /usr/local.
Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--perl/perl-Mojolicious-Plugin-Humane/perl-Mojolicious-Plugin-Humane.SlackBuild17
1 files changed, 9 insertions, 8 deletions
diff --git a/perl/perl-Mojolicious-Plugin-Humane/perl-Mojolicious-Plugin-Humane.SlackBuild b/perl/perl-Mojolicious-Plugin-Humane/perl-Mojolicious-Plugin-Humane.SlackBuild
index 933f7142d9..e0ce4d5fe8 100644
--- a/perl/perl-Mojolicious-Plugin-Humane/perl-Mojolicious-Plugin-Humane.SlackBuild
+++ b/perl/perl-Mojolicious-Plugin-Humane/perl-Mojolicious-Plugin-Humane.SlackBuild
@@ -33,7 +33,7 @@ SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -51,8 +51,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -65,7 +65,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -80,13 +80,14 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-perl Build.PL
+perl Build.PL \
+ --installdirs vendor \
+ --config installvendorman1dir=/usr/man/man1 \
+ --config installvendorman3dir=/usr/man/man3
./Build
./Build test
./Build install \
- --destdir $PKG \
- --install_path bindoc=/usr/man/man1 \
- --install_path libdoc=/usr/man/man3
+ --destdir $PKG
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true